#ifndef REGISTRATIONS_H
#define REGISTRATIONS_H

namespace Salamander
{

/*
** Manager classes with global access.
*/
registerGlobalManager(AssetManager, asset);
registerGlobalManager(PlatformManager, platform);
registerGlobalManager(VisualManager, visual);
registerGlobalManager(SceneManager, scene);
registerGlobalManager(ScreenManager, screen);

}

#endif // REGISTRATIONS_H